Bug 1754977 - Anaconda may permanently resize bigger than display.
Summary: Anaconda may permanently resize bigger than display.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: anaconda
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Anaconda Maintenance Team
QA Contact: Release Test Team
Shweta Naresh
URL:
Whiteboard:
: 1758733 1834628 (view as bug list)
Depends On: 1593561
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-24 13:21 UTC by Martin Kolman
Modified: 2020-11-04 03:24 UTC (History)
15 users (show)

Fixed In Version: anaconda-33.16.3.1-2
Doc Type: Bug Fix
Doc Text:
.The RHEL Installation Program now displays multiple IPv6 addresses correctly Previously, when you selected a network device with multiple static IPv6 addresses on the Network and Host Name window during installation, the Installation Program improperly resized the windows. As a result, the Installation Program windows were unusable for proceeding with the installation. This issue occurred because the Installation Program attempted to display all the IPv6 addresses on a single line. With this update, the Installation Program now displays the IPv6 addresses on multiple lines and no longer resizes the windows.
Clone Of: 1593561
Environment:
Last Closed: 2020-11-04 03:22:50 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:4729 0 None None None 2020-11-04 03:23:37 UTC

Description Martin Kolman 2019-09-24 13:21:58 UTC
+++ This bug was initially created as a clone of Bug #1593561 +++

Description of problem:
If one of the Anaconda configuration screens gets resized, the Anaconda program itself will resize and cut off the network installer. There is no option for scrolling so parts of the installer must be used blind by keyboard alone.

Version-Release number of selected component (if applicable):
Fedora-Everything-netinst-x86_64-28-1.1.iso

How reproducible:
100%

Steps to Reproduce:
1. Be on a network that provides 3 IPv6 addresses to each machine.
2. Use a machine with 1024x768 resolution (common with libvirt/QEMU VMs)
2. Open "Network & Host Name" configuration

--- Additional comment from Kyle Marek on 2018-06-21 07:27:58 CEST ---



--- Additional comment from Kyle Marek on 2018-06-21 07:28:51 CEST ---



--- Additional comment from Kyle Marek on 2018-06-21 07:29:35 CEST ---



--- Additional comment from Kyle Marek on 2018-07-21 02:41:29 CEST ---

Note: CentOS 7's Anaconda <http://isoredirect.centos.org/centos/7/isos/x86_64/CentOS-7-x86_64-NetInstall-1804.iso> is not subject to this issue.

--- Additional comment from Ben Cotton on 2019-05-02 23:16:48 CEST ---

This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

--- Additional comment from Kyle Marek on 2019-05-08 00:26:43 CEST ---

Still applies in Fedora 30.

--- Additional comment from Radek Vykydal on 2019-09-12 10:20:51 CEST ---

https://github.com/rhinstaller/anaconda/pull/2127

--- Additional comment from Fedora Update System on 2019-09-17 02:36:48 CEST ---

FEDORA-2019-2cabc3f936 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2cabc3f936

--- Additional comment from Fedora Update System on 2019-09-18 03:59:49 CEST ---

anaconda-31.22.4-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2cabc3f936

--- Additional comment from Fedora Update System on 2019-09-21 02:02:22 CEST ---

anaconda-31.22.4-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 1 dac.override 2019-09-24 13:48:04 UTC
Me too. Scenario:

start virt-install on hypervisor. then connect to instance with virt-viewer from laptop. enable the network in the network spoke. I use a bridge so my router associates (HUGE)IP6 addresses with the guest. This will mess with the display, and stuff on the right side is off screen. (stuff like ntp button, and start install/cancel install) its pretty hard to complete the installation.

You can use tab to cycle through the spokes but I was not aware of the cancel installtion button. So i thought i was telling it to start installation while i was actually pressing the cancel installation button! Took me quite a while to figure that out.

Comment 2 Radek Vykydal 2020-03-30 11:08:51 UTC
*** Bug 1758733 has been marked as a duplicate of this bug. ***

Comment 3 Jan Stodola 2020-04-17 16:11:42 UTC
Can be also reproduced by setting multiple static IPv4 addresses manually in the installer.

Comment 4 Jan Stodola 2020-05-12 11:51:11 UTC
*** Bug 1834628 has been marked as a duplicate of this bug. ***

Comment 7 Radek Vykydal 2020-06-23 11:27:36 UTC
Moved the doc text proposal from https://bugzilla.redhat.com/show_bug.cgi?id=1593561#c13 to the RHEL BZ (this BZ) of the issue.

Comment 10 Radek Vykydal 2020-06-23 12:11:42 UTC
Looks good to me, thank you.

Comment 17 errata-xmlrpc 2020-11-04 03:22:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (anaconda bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4729


Note You need to log in before you can comment on or make changes to this bug.